## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:		bdebstrap
Version:	0.7.0
Release:	%autorelease
Summary:	YAML config based multi-mirror Debian chroot creation tool

License:	ISC
URL:		https://github.com/bdrung/bdebstrap
Source0:	https://github.com/bdrung/bdebstrap/releases/download/v%{version}/bdebstrap-%{version}.tar.xz
Source1:	https://github.com/bdrung/bdebstrap/releases/download/v%{version}/bdebstrap-%{version}.tar.xz.asc
Source2:        A62D2CFBD50B9B5BF360D54B159EB5C4EFC8774C.gpg

BuildArch:      noarch
BuildRequires:	gpgverify python3-devel pandoc python3-pytest pylint python3-mypy python3-types-setuptools
Requires:       mmdebstrap

%global _description %{expand:
bdebstrap is an alternative to debootstrap and a wrapper around mmdebstrap to
support YAML based configuration files. It inherits all benefits from
mmdebstrap. The support for configuration allows storing all customization in a
YAML file instead of having to use a very long one-liner call to mmdebstrap. It
also layering multiple customizations on top of each other, e.g. to support
flavors of an image.}

%description %_description


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup
sed -i '/data_files/d' setup.py


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l -M
install -D -m644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -d %{buildroot}%{_datarootdir}/%{name}
cp -r hooks %{buildroot}%{_datarootdir}/%{name}/hooks


%check
export SKIP_LINTERS=true
%pytest


%files -f %{pyproject_files}
%{_bindir}/%{name}
%{_datarootdir}/%{name}
%{_mandir}/man1/%{name}.1*
%doc NEWS.md README.md


%changelog
## START: Generated by rpmautospec
* Wed Jun 25 2025 Thomas Schneider <qsx@chaotikum.eu> - 0.7.0-1
- Initial packaging
## END: Generated by rpmautospec
